Bug 478941 - Review Request: celt - An audio codec for use in low-delay speech and audio communication
Review Request: celt - An audio codec for use in low-delay speech and audio c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
: libcelt (view as bug list)
Depends On:
Blocks: libcelt
  Show dependency treegraph
 
Reported: 2009-01-06 00:31 EST by Peter Robinson
Modified: 2009-02-17 07:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 15:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-01-06 00:31:58 EST
SPEC: http://pbrobinson.fedorapeople.org/celt.spec
SRPM: http://pbrobinson.fedorapeople.org/celt-0.5.1-1.fc10.src.rpm

CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio 
codec designed for realtime transmission of high quality speech and audio. 
This is meant to close the gap between traditional speech codecs 
(such as Speex) and traditional audio codecs (such as Vorbis).
Comment 1 Richard W.M. Jones 2009-01-12 04:49:22 EST
Taking for review.
Comment 2 Richard W.M. Jones 2009-01-12 14:11:33 EST
- rpmlint output

celt-devel.x86_64: W: no-documentation

Just move (or duplicate) the README and TODO files into the
-devel subpackage.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
? license matches the actual package license

There's a number of source files (both *.c and *.h) that
don't contain explicit license information.  Are we sure
about the origin of these files?

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  dd7cda953e4df448083b69af9afc15e1 401008
+ package successfully builds on at least one architecture
  x86_64
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1047518
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

? if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1047518
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

------

So there's that %doc thing to fix, and can you query upstream
about the libcelt/*.[ch] files which don't have license information
to find out who wrote them and/or where they came from.
Comment 3 Ray Strode [halfline] 2009-01-13 12:54:59 EST
*** Bug 479750 has been marked as a duplicate of this bug. ***
Comment 4 Ray Strode [halfline] 2009-01-19 14:58:23 EST
Any updates on this, Peter?
Comment 5 Peter Robinson 2009-01-20 03:58:10 EST
I've queried upstream about the license on the files. Can someone provide me a list of know files? I've had a quick look but not had enough time to look at all files.
Comment 6 Richard W.M. Jones 2009-01-20 04:10:53 EST
Look at the files libcelt/*[ch] and query the ones
which don't have license information in them.
Comment 7 Peter Robinson 2009-02-02 04:27:03 EST
I've got a response from the celt maintainer here:
http://lists.xiph.org/pipermail/celt-dev/2009-February/000063.html

He's confirmed the license on all the files is BSD and will update them in the repo. Is there anything else outstanding for this review?
Comment 8 Richard W.M. Jones 2009-02-02 05:07:23 EST
OK, this is APPROVED.

Before committing can you make two changes to the spec file:
 (1) Put README into %doc in the -devel subpackage.
 (2) Put a comment in the spec file with the link in comment 7.
Comment 9 Peter Robinson 2009-02-02 05:14:34 EST
Thanks Richard,

Will update both of those before commit.
Comment 10 Peter Robinson 2009-02-02 05:18:50 EST
New Package CVS Request
=======================
Package Name: celt
Short Description: An audio codec for use in low-delay speech and audio communication 
Owners: pbrobinson xiphmont
Branches: F-10 F-9 EL-4 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-02-02 23:26:25 EST
cvs done.
Comment 12 Peter Robinson 2009-02-03 15:07:30 EST
Closing. In rawhide and build for F-9 and F-10

Note You need to log in before you can comment on or make changes to this bug.